import express from "express";

import { createBlog, getAllBlog } from "./BlogController.js";
import { isAuthenticatedUser, authorizeRoles } from "../../middlewares/auth.js";

const router = express.Router();

router.post("/create", createBlog);
router.get("/getallblog", getAllBlog);

export default router;
